<?php 
    /**
    *
    * copyright (c) 2013-2024 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    */

    include "include/includeBase.php";
    include "../gUtil/GestoreTabella.php";
    include "../classi/Tabella.php";
    include "include/controlloLogin.php";
    
    $elementiPerPagina = isset($_GET["elementiPerPagina"]) ? filter_input(INPUT_GET,"elementiPerPagina",FILTER_SANITIZE_NUMBER_INT) : 25;
    $cerca             = isset($_GET["cerca"]) ? filter_input(INPUT_GET,"cerca",FILTER_SANITIZE_STRING) : "";
    $tipo              = filter_input(INPUT_GET,"tipo",FILTER_SANITIZE_STRING);
    
    $parametriRicerca = $cerca!="" ? array("tipo"=>$tipo,"oggetto"=>$cerca) : array("tipo"=>$tipo);
    if(isset($_GET["efficacia"])) {
        $parametriRicerca["efficacia"] = filter_input(INPUT_GET, "efficacia",FILTER_SANITIZE_STRING);
    }

    if(isset($_GET["stato"])) {
        $parametriRicerca["stato"] = filter_input(INPUT_GET, "stato",FILTER_SANITIZE_STRING);
    }
    
    $parametri = array("tabella"=>"geecAd_comunicazioni", "elementiPerPagina"=>$elementiPerPagina,"parametriRicerca"=>$parametriRicerca,"ajax"=>false);
        
    $ricerca = new Ricerca($geecomDb, $parametri, $impostazioniRicerca,"gestioneComunicazioni.php");
    
    if($tipo=="comunicazione") {
        $titolo = "Elenco comunicazioni";
    }
    else if($tipo=="segnalazione"){
        $titolo = "Elenco segnalazioni";
    }
    else {    
        $titolo = "Elenco ticket";
    }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <title>Amministrazione di Geecom Admin - gestione comunicazioni</title>

    <?php
        include "include/cssBaseAreaAmministrativa.php";
    ?>
</head>

<body>
   
    <header>
        <?php  
            include "include/barraSuperiore.php";

            include "include/header.php";

            include "include/barraMenu.php";
        ?>
    </header>
    <?php 
    
        if(isset($_GET["status"])) {
            if($_GET["status"]==1) {
                    echo"<p class=\"alert alert-success\">Utente creato</p>";
            }
            else if($_GET["status"]==2) {
                    echo"<p class=\"alert alert-success\">Utente modificato</p>";
            }
            else if($_GET["status"]==4) {
                    echo"<p class=\"alert alert-success\">Stato dell'amministratore modificato</p>";
            }
            else if($_GET["status"]==400) {
                    echo"<p class=\"alert alert-danger\">Indirizzo email già esistente</p>";
            }
            else { //status = 5
                    echo"<p class=\"alert alert-success\">Utente eliminato</p>";
            }
        }
    ?>
     <!-- Modal box conferma cancellazione elemento-->
    <div class="modal fade" id="modalEliminaComunicazione" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Eliminare la comunicazione?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Chiudi">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="d-flex flex-row justify-content-center">
                    <input type="text" class="d-none" id="comunicazioneDaEliminare" >
                    <div class="align-self-center text-center">
                        <span class="align-self-center text-primary"><em id="nomeComunicazioneDaEliminare"></em></span>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
              <button type="button" class="btn btn-primary" onclick="{eseguiEliminazioneComunicazione()}" >Elimina</button>
            </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div><!-- /.Modal box-->
    
    <main role="main" class="bg-light" id="main">
        <div class="container-fluid">
            <div id="contenutoPrincipale" class="row">
                <div class="col py-4">
                    <div class="card mb-4 box-shadow-lite">
                        <div class="card-header">
                            <span class="card-title mr-2"><?php echo $titolo ?></span>
                            <?php 
                                if($tipo=="comunicazione") {
                            ?>
                            <a href="creaComunicazione.php" class="btn btn-sm btn-primary" >
                                Nuova comunicazione<i class="fas fa-plus ml-2"></i>
                            </a>
                            <?php
                                }
                            ?>
                        </div>
                        <div class="panel panel-default">
                            <div class="card-body collapse show">
                                <div class="d-flex justify-content-between mb-3">
                                    <?php
                                        $ricerca->stampaSelectNumeroElementi($cerca,["tipo"=>$tipo]);
                                        $ricerca->stampaFormRicerca($cerca,["tipo"=>$tipo]);
                                    ?>
                                </div>
                                <div class="table-responsive table-sm">
                                    <?php
                                    
                                        if(isset($_GET["pag"])) {
                                            $ris = $ricerca->eseguiRicerca($_GET["pag"]);
                                        }
                                        else {
                                            $ris = $ricerca->eseguiRicerca(1);
                                        }
                                        
                                        if($tipo=="comunicazione") {
                                            $colonne = array("ID","Oggetto","Stato","Efficacia","Inviata da","Inviata il","");
                                            $tabella = new Tabella("tabella", "table table-striped table-hover",$colonne);
                                        }
                                        else {
                                            $colonne = array("ID","Oggetto","Stato","Autore","Data","");
                                            $tabella = new Tabella("tabella", "table table-striped table-hover",$colonne);
                                        }
                                        
                                        $tabella->setTipo("normale");
                                        while($comunicazione = $ris->fetch_assoc()) {
                                            $dataCreazione = date("d/m/Y H:i",strtotime($comunicazione["dataCreazione"]));
                                            $oggettoEscape = filter_var($comunicazione["oggetto"],FILTER_SANITIZE_ADD_SLASHES);
                                            $azioni = array("visualizza"=>"creaComunicazione.php?id={$comunicazione["id"]}","elimina"=>"eliminaComunicazione({$comunicazione["id"]},'$oggettoEscape')");
                                            if($tipo=="comunicazione") {
                                                if($comunicazione["efficacia"]=="scadente") {                                            
                                                    $stringaEfficaciaComuncazione = "<p class=\"text-danger\"><b>scadente</b></p>";
                                                }
                                                else if($comunicazione["efficacia"]=="discreta") {
                                                    $stringaEfficaciaComuncazione = "<p class=\"text-warning\"><b>discreta</b></p>";
                                                }
                                                else if($comunicazione["efficacia"]=="buona") {
                                                    $stringaEfficaciaComuncazione = "<p class=\"text-success\"><b>buona</b></p>";
                                                }
                                                else {
                                                    $stringaEfficaciaComuncazione = "";
                                                }

                                                $tabella->aggiungiNuovaRiga(array($comunicazione["id"],"<a href=creaComunicazione.php?id={$comunicazione["id"]}><b>{$comunicazione["oggetto"]}</b></a>",$comunicazione["stato"],$stringaEfficaciaComuncazione,$comunicazione["autore"],$dataCreazione),$azioni);
                                            }
                                            else {
                                                $tabella->aggiungiNuovaRiga(array($comunicazione["id"],"<a href=creaComunicazione.php?id={$comunicazione["id"]}><b>{$comunicazione["oggetto"]}</b></a>",$comunicazione["stato"],$comunicazione["autore"],$dataCreazione),$azioni);
                                            }
                                        }

                                        $tabella->stampa("rigaComunicazione", 0);
                                        $ricerca->stampaPaginazione(true,"gestioneComunicazioni.php");
                                    ?>
                                </div>
                            </div>
                            <!-- /tabella -->
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </main>
    
    <?php 
        include "include/footer.php";
        
        include "include/modal/cambiaPassword.php";
                
        include "include/modal/modalMenuComponenti.php";
        
        include "include/modal/operazioneCompletata.php";
        
        include "include/jsBaseAreaAmministrativa.php";
    ?>
	
    <script type="text/javascript">

        function eliminaComunicazione(idComunicazione,nome) {
            document.getElementById("comunicazioneDaEliminare").value = idComunicazione;
            document.getElementById("nomeComunicazioneDaEliminare").innerHTML = nome;
            $('#modalEliminaComunicazione').modal('show');
        }
        
        function eseguiEliminazioneComunicazione() {
            var id = $('#comunicazioneDaEliminare').val();
            $.ajax({
                type:"POST",
                url:"../controller/controllerComunicazioni.php",
                data:{
                    operazione:"elimina",
                    id:id
                },
                success:function(result) {
                    if(result=="ok") {
                        document.getElementById("rigaComunicazione"+id).className = "d-none";
                        $('#modalEliminaComunicazione').modal('hide');
                    }
                    else {
                        alert(result);
                    }
                },
                error: function() {
                    alert("Si sono verificato problemi durante la richiesta, riprova tra qualche istante");
                }
            });
        }
    </script>
</body>
</html>
